package LasTres::Planet::Bahdder::BosqueDelHeroe::TribuDeLaLima::Entrada;

use v5.36.0;

use strict;
use warnings;

use feature 'signatures';

use utf8;

use Moo;

use LasTres::Planet::Bahdder::BosqueDelHeroe::TribuDeLaLima;

has parent => (
    is => 'ro',
    builder => \&_build_parent,
);

with 'LasTres::Location';

sub is_spawn {
    return 0;
}

sub identifier {
    return 'entrada';
}

sub name {
    return 'Entrada';
}

sub description {
    return 'Un cartel reza. "Tribu de la Lima. Considerate bienvenido si '
    . 'no eres un ladrón o un maleante, '
    . 'en caso contrario recorre en sentido inverso el sendero de tus pisadas."';
}

sub _build_parent {
    return LasTres::Planet::Bahdder::BosqueDelHeroe::TribuDeLaLima->instance;
}

sub actions {
    return [];
}

sub npcs {
    return [];
}

sub connected_places {
    return [
        LasTres::Planet::Bahdder::BosqueDelHeroe::BosqueDelHeroeI::TribuDeLaLima->instance,
    ];
}

my $singleton;
sub instance {
    my $class = shift;
    if (!defined $singleton) {
        $singleton = $class->new(@_);
    }
    return $singleton;
}
1;
